package com.example.dashboard;

import org.springframework.data.repository.CrudRepository;

import java.util.List;

public interface OrderRepository extends CrudRepository<Order, Long> {

    Order findByOrderId(Long orderId);

    List<Order> findListByProductId(Long productId);
}
