package com.example.order;

import java.security.InvalidParameterException;
import java.util.HashMap;

public class Util {
    public static <T> T getParam(Class<T> c, HashMap<String, String> map, String paramKey, Boolean required) {
        String paramVal = "";

        for (String key : map.keySet()) {
            if (key.equalsIgnoreCase(paramKey)) {
                paramVal = map.get(key);
                break;
            }
        }

        if (required && paramVal.equals("")) {
            throw new InvalidParameterException("@@@ PARAMETER (" + paramKey +") is Missing !! @@@");
        }

        String clType = c.getTypeName();
        System.out.println(c.getTypeName());

        if (paramVal.equals("") &&
                clType.indexOf("String") < 1 )  paramVal = "0";

        System.out.println(" $$$ PARSING PARAMS ('" + paramKey + "') : " + paramVal + " ###");

        if (clType.indexOf("Long") > 0) {
            return (T) Long.valueOf(paramVal);
        } else if (clType.indexOf("Integer") > 0) {
            return (T) Integer.valueOf(paramVal);
        } else if (clType.indexOf("int") > 0) {
            return (T) Integer.valueOf(paramVal);
        } else {
            return (T) paramVal;
        }
    }
}
